LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot install LabVIEW software on cRIO 9042

Hi everyone,

 

I have a computer (Windows Server 2019) with LabVIEW 2021 (32-bit) installed. I installed LV Real-time and FPGA modules, cRIO drivers, NI DSC Module (see attached Screen1)

When I try to install the software on my cRIO-9042 (see Screen2,..4), I face a weird issue.

 

1. The software components that are shown on the list are of 20.0.0 version for some reason

2. There are no variable engine components (although I have DSC module installed), NI Network streams, and many more.

3. When I try install at least what is shown on the list, it returns an error stating that the software components have unresolved dependencies. And at the bottom giving the following hint:

"Possible reason: The feature's Real-Time support for this target type may not be installed."

 

I have updated the firmware of the cRIO to 8.8.0f0.

I formatted the cRIO and tried to install the software, but no success.

I reinstalled the cRIO drivers, but no success.

 

I tried the same thing with another computer (Windows 11) with LabVIEW 2021 and with above mentioned modules and another cRIO-9042 controller. But the result is the same.

 

Any idea what could be the issue?

 

Thanks in advance.

Download All
0 Kudos
Message 1 of 5
(1,390 Views)

Can you install and run LabVIEW on Windows Server?  I know there are versions of LabVIEW that can (and cannot) run on various versions of Windows, such as Vista, Windows 95, Windows 7, Windows 8, 10, 11, etc.), on various versions of Linux, various versions of MAC OS (whose names I don't even know), but I've never heard (or thought of) running LabVIEW on Windows Server.  I could well imagine that it might not be possible ...  And if this is the host of a LabVIEW RT installation, is this association supported?

 

What happens if you install on (for want of a better designation) "vanilla" (i.e. non-Server) Windows?

 

Bob Schor

0 Kudos
Message 2 of 5
(1,361 Views)

Yes, the LabVIEW 2021 and the Real-time Module 21.0 is supported on Windows Server 2019.

Please see the screenshots attached.

 

From the other hand, as I mentioned the issue existed on another machine with Windows 11.

Download All
0 Kudos
Message 3 of 5
(1,350 Views)

I couldn't find the official documentation but based on my experience (and the screenshot from Software Installation Options for CompactRIO Controllers), NI-compactRIO 21.0 and later do not support the legacy CDF installation that you are trying to use now. This explains why only driver 20.0 were shown.

To use LabVEW 2021 and later, you must use the Linux RT System Image installation method. See Installing Software on NI Linux Real-Time PXI Controllers. Although this KB is intended for PXI Linux RT but it is also applicable for cRIO using System Image

-------------------------------------------------------
Control Lead | Intelline Inc
0 Kudos
Message 4 of 5
(1,335 Views)

Thanks ZYOng,

 

You're correct. I installed the base RT image, and after that I had access to install the the other software also.

 

Thanks for your help.

 

 

0 Kudos
Message 5 of 5
(1,297 Views)